package com.redhat.thermostat.tools.eclipse.plugin.editor;

import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.editor.FormPage;
import org.eclipse.ui.forms.widgets.ScrolledForm;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

import com.redhat.thermostat.tools.eclipse.plugin.Messages;
import com.redhat.thermostat.tools.eclipse.plugin.model.Plugin;

public class CommandsPage extends FormPage {

    static final String ID = "com.redhat.thermostat.tools.eclipse.plugin.editor.CommandsPage"; //$NON-NLS-1$
    static final String TITLE = Messages.CommandsPage_title;

    private Plugin model;

    public CommandsPage(FormEditor editor, Plugin model) {
        super(editor, ID, TITLE);

        this.model = model;
    }

    @Override
    protected void createFormContent(IManagedForm managedForm) {
        ScrolledForm form = managedForm.getForm();

        form.setText(Messages.CommandsPage_title);
        form.getBody().setLayout(new TableWrapLayout());

        CommandsMasterDetailsBlock masterAndDetails = new CommandsMasterDetailsBlock(this);
        masterAndDetails.setModel(model);
        masterAndDetails.createContent(managedForm);
    }

}
